SmartFTP Multiple Command Response Overflow

High Nessus Plugin ID 11709


It is possible to execute arbitrary code on the remote host through a remote FTP client.


The remote host is running SmartFTP - an FTP client.

There is a flaw in the remote version of this software that could allow an attacker to execute arbitrary code on this host.

To exploit it, an attacker would need to set up a rogue FTP server and have a user on this host connect to it.


Upgrade to version 1.0.976.x or newer.

Plugin Details

Severity: High

ID: 11709

File Name: smartftp_overflow.nasl

Version: $Revision: 1.19 $

Type: local

Agent: windows

Family: Windows

Published: 2003/06/10

Modified: 2011/12/16

Dependencies: 50574

Risk Information

Risk Factor: High


Base Score: 7.6

Temporal Score: 5.6

Vector: CVSS2#AV:N/AC:H/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:ND

Vulnerability Information

Required KB Items: SMB/SmartFTP/Version

Exploit Available: false

Exploit Ease: No known exploits are available

Vulnerability Publication Date: 2003/06/09

Reference Information

CVE: CVE-2003-1319

BID: 7858, 7861

OSVDB: 35767, 35768